{
  "mqttServerInfo": {
      "description": "mqtt server info",
      "port": 1883,
      "broker": "mqtt.yiem.cc"
  },
  "testingOrProduction": {
      "value": "testing",
      "description": "agent status, couldbe testing or production"
  },
  "agentid": {
      "value": "2b74b87a-5413-4fe2-a4d3-405891051680",
      "description": "a unique id for this agent"
  },
  "agentCentralConfigTopic": {
      "mqtttopic": "/yiem_branch_1/agent/sommelier/backend/config/api/v1.1",
      "description": "a central agent server's topic to get this agent config"
  },
  "servicetopic": {
      "mqtttopic": [
          "/yiem/hq/agent/sommelier/backend/prompt/api_v1/testing"
      ],
      "description": "a topic this agent are waiting for service request"
  },
  "role": {
      "value": "sommelier",
      "description": "agent role"
  },
  "organization": {
      "value": "yiem_branch_1",
      "description": "organization name"
  },
  "externalservice": {
    "loadbalancer": {
      "mqtttopic": "/loadbalancer/requestingservice",
      "description": "text to text service with instruct LLM"
    },
    "text2textinstruct": {
        "mqtttopic": "/loadbalancer/requestingservice",
        "description": "text to text service with instruct LLM",
        "llminfo": {
            "name": "llama3instruct"
        }
    },
    "virtualWineCustomer_1": {
        "mqtttopic": "/virtualenvironment/winecustomer",
        "description": "text to text service with instruct LLM that act as wine customer",
        "llminfo": {
            "name": "llama3instruct"
        }
    },
    "text2textchat": {
        "mqtttopic": "/loadbalancer/requestingservice",
        "description": "text to text service with instruct LLM",
        "llminfo": {
            "name": "llama3instruct"
        }
    },
    "wineDB" : {
      "description": "A wine database connection info for LibPQ client",
      "host": "192.168.88.12",
      "port": 10201,
      "dbname": "wineDB",
      "user": "yiemtechnologies",
      "password": "yiemtechnologies@Postgres_0.0"
    },
    "SQLVectorDB" : {
      "description": "A wine database connection info for LibPQ client",
      "host": "192.168.88.12",
      "port": 10203,
      "dbname": "SQLVectorDB",
      "user": "yiemtechnologies",
      "password": "yiemtechnologies@Postgres_0.0"
    }
  }
}